> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuraltrust.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List provider catalog

> Returns the catalog of supported LLM providers.



## OpenAPI

````yaml /trustgate/api/openapi.json get /v1/providers-catalog
openapi: 3.0.0
info:
  description: >-
    Administrative API for managing gateways and their registries, policies,
    consumers, roles and auth credentials.
  title: TrustGate Admin API
  contact:
    name: NeuralTrust
    url: https://neuraltrust.ai/contact
    email: support@neuraltrust.ai
  version: '1.0'
servers:
  - url: https://agentgateway-admin.dev.neuraltrust.ai
    description: Admin API
security: []
paths:
  /v1/providers-catalog:
    get:
      tags:
        - catalog
      summary: List provider catalog
      description: Returns the catalog of supported LLM providers.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_catalog_response.ProviderResponse
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_helpers.ErrorBody
      security:
        - BearerAuth: []
components:
  schemas:
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_catalog_response.ProviderResponse:
      type: object
      properties:
        auth_types:
          type: array
          items:
            $ref: >-
              #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_app_catalog.AuthTypeOption
        code:
          type: string
        display_name:
          type: string
        id:
          type: string
        metadata:
          type: object
          additionalProperties: {}
        provider_options_schema:
          type: array
          items:
            $ref: >-
              #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_app_catalog.ProviderOptionField
        source:
          type: string
        wire_format:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_helpers.ErrorBody:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_app_catalog.AuthTypeOption:
      type: object
      properties:
        description:
          type: string
        fields:
          type: array
          items:
            $ref: >-
              #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_app_catalog.AuthField
        label:
          type: string
        type:
          type: string
        variant:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_app_catalog.ProviderOptionField:
      type: object
      properties:
        default: {}
        description:
          type: string
        enum:
          type: array
          items:
            $ref: >-
              #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_app_plugins.EnumOption
        key:
          type: string
        label:
          type: string
        required:
          type: boolean
        type:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_app_catalog.OptionFieldType
    github_com_NeuralTrust_TrustGate_pkg_app_catalog.AuthField:
      type: object
      properties:
        default: {}
        description:
          type: string
        key:
          type: string
        label:
          type: string
        required:
          type: boolean
        secret:
          type: boolean
        type:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_app_catalog.AuthFieldType
    github_com_NeuralTrust_TrustGate_pkg_app_plugins.EnumOption:
      type: object
      properties:
        label:
          type: string
        value:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_app_catalog.OptionFieldType:
      type: string
      enum:
        - string
        - enum
        - map
      x-enum-varnames:
        - OptionFieldTypeString
        - OptionFieldTypeEnum
        - OptionFieldTypeMap
    github_com_NeuralTrust_TrustGate_pkg_app_catalog.AuthFieldType:
      type: string
      enum:
        - string
        - boolean
      x-enum-varnames:
        - AuthFieldTypeString
        - AuthFieldTypeBoolean
  securitySchemes:
    BearerAuth:
      type: apiKey
      name: Authorization
      in: header

````